==================================================
RIZONESOFT COMPLETE INTERNET REPAIR CHANGES
==================================================

--------------------------------------------------
Version 11.1.3.6518 (DECEMBER 10, 2024)
--------------------------------------------------

- Enhanced: Streamlined the About pages by removing unnecessary content.
- Optimized language loading system with caching mechanism.
- Improved string replacement efficiency in localization.
- Code refactoring and performance improvements.

--------------------------------------------------
Version 11.1.3.6508 (OCTOBER 30, 2023)
--------------------------------------------------

- Upgraded Rizonesoft SDK to Version 11.
- Enhanced Social Media Link Integration in the 'About' Dialog.
- Optimized Memory Usage Indicator Stability in the 'About' Dialog.
- Rectified Icon Display in the 'Donate' Dialog.
- Codebase Optimization and Refactoring.

--------------------------------------------------
Version 9.1.3.6322 (SEPTEMBER 16, 2023)
--------------------------------------------------

- Installer enhancements.
- Update notification enhancements.
- Minor bug fixes and enhancements.

--------------------------------------------------
Version 9.1.3.6120 (AUGUST 26, 2023)
--------------------------------------------------

- Updated links.
- Completed all translations.

--------------------------------------------------
Version 9.1.3.6099 (MAY 20, 2023)
--------------------------------------------------

- Updated Afrikaans translation.
- Updated Windows 11 compatibility.

--------------------------------------------------
Version 9.0.3.6088 (OCTOBER 31, 2022)
--------------------------------------------------

- Fixed an old bug that would reset the firewall even though it is not selected.

--------------------------------------------------
Version 9.0.3.6022 (OCTOBER 02, 2022)
--------------------------------------------------

- Updated AutoIt to version 3.3.16.1 (19 Septemeber 2022 version). - https://www.autoitscript.com/autoit3/docs/history.htm
- Further Windows 11 compatibility improvements.
- Fixed versioning.
- Minor bug fixes and enhancements.

--------------------------------------------------
Version 9.0.0.5601 (SEPTEMBER 04, 2022)
--------------------------------------------------

- Updated AutoIt to version 3.3.16.1. - https://www.autoitscript.com/autoit3/docs/history.htm
- Improved Windows 11 compatibility.

--------------------------------------------------
Version 8.2.3.5362 (JUNE 12, 2021)
--------------------------------------------------

- Fixed: All executables are now signed.
- Updated: Inno Setup to version 6.2.0.

--------------------------------------------------
Version 8.1.3.5260 (MAY 25, 2021)
--------------------------------------------------

- Updated: Korean translation.
- Updated: Traditional Chinese translation.
- Removed: Uninstall Message.

--------------------------------------------------
Version 8.1.3.5228 (APRIL 07, 2021)
--------------------------------------------------

- Changed: Default startup position now set to the middle of the screen.
- Updated: French translation.
- Updated: Simplified Chinese translation.

--------------------------------------------------
Version 8.1.3.5222 (MARCH 26, 2021)
--------------------------------------------------

- Fixed: Main windows not being able to close.
- Fixed: Workarounds added to alleviate slow downs on Windows 10 1809 and later.

--------------------------------------------------
Version 8.1.3.5219 (MARCH 09, 2021)
--------------------------------------------------

- Updated: Korean translation.
- Fixed: Korean translation now included.
- Fixed: License file variables.
- Fixed: Info Tip Display.
- Fixed: Second instance of the program closes all other instances.

Language Changes:
- [Donate]: Label_Heading = %{Program.Name} has been serving you for over %d hours. Now, how about a small donation?
- [Donate]: Label_Message = Click on the PayPal button below, choose an amount, and send us the donation. Your donation will be used to improve our software and keep everything free on Rizonesoft. A $20 donation will keep us going for at least a month.
- [Donate]: Label_Donate = Would you consider a small gift of $10 to help us improve %{Program.Name} and keep the lights on?

--------------------------------------------------
Version 6.2.1.5208 (MARCH 05, 2021)
--------------------------------------------------

- Fixed: translations encoding (Unicode (UTF-16) LE BOM).
- Updated: Russian translation.
- Updated: Korean translation.

--------------------------------------------------
Version 6.2.0.5020 (FEBRUARY 28, 2021)
--------------------------------------------------

- Critical Fix: All executables are now signed.
- Fixed: Generating documentation.
- Removed: Opening thank you page after installation.

--------------------------------------------------
Version 6.1.0.5005 (February 24, 2021)
--------------------------------------------------

- Updated Korean translation.
- Updated French translation.
- Updated Greek translation.
- Initial Resolute integration.

--------------------------------------------------
Version 6.0.3.5003 (August 26, 2020)
--------------------------------------------------

- Updated French translation.
- Fixed: Select All button alignment.
- Fixed: Select All translation.
- Fixed: wrong menu icons.
- New Save Selection on Program exit.

--------------------------------------------------
Version 5.2.3.4125 (August 25, 2020)
--------------------------------------------------

- Fixed: GUIOnEventMode and TrayOnEventMode options had unnecessary slow downs.
- Fixed: Workarounds added to alleviate slow downs on Windows 10 1809 and later (OS bug/design change).
- Improved Resolute compatibility.

--------------------------------------------------
Version 5.2.3.4118 (May 27, 2020)
--------------------------------------------------

- Optimized Functions.
- Cleaner Code.
- Resolute Compatibility.

--------------------------------------------------
Version 5.2.3.4070 (May 06, 2020)
--------------------------------------------------

- All executables now signed.

--------------------------------------------------
Version 5.2.3.4063 (April 07, 2020)
--------------------------------------------------

- Updated Afrikaans translation.
- Updated Slovenian translation.

--------------------------------------------------
Version 5.2.3.4060 (April 02, 2020)
--------------------------------------------------

- New Select All and Select None functions.
- Fixed incorrect language flag icons.
- Added German translation.
- Updated French translation.
- Updated Spanish translation.
- Removed Google Plus from the About page and replaced it with LinkedIn. 
- Aligned Uncompiled icons.

--------------------------------------------------
Version 5.2.3.4010 (November 24, 2018)
--------------------------------------------------

- Added Support for Persian Language.
- Important Security Updates!

--------------------------------------------------
Version 5.2.3.4005 (October 25, 2018)
--------------------------------------------------

- Updated Hungarian translation.

--------------------------------------------------
Version 5.2.3.4002 (October 19, 2018)
--------------------------------------------------

- Updated Slovenian translation.

--------------------------------------------------
Version 5.2.3.4000 (October 16, 2018)
--------------------------------------------------

- Updated Simplified Chinese translation.
- Updated Russian translation.

--------------------------------------------------
Version 5.2.3.3999 (October 11, 2018)
--------------------------------------------------

- Updated the Italian translation.

--------------------------------------------------
Version 5.2.3.3990 (October 09, 2018)
--------------------------------------------------

- Updated the Simplified Chinese Language file.

--------------------------------------------------
Version 5.2.3.3988 (October 09, 2018)
--------------------------------------------------

- New Make Network Computers Visible function.
- Updated Afrikaans Translation.
- Fixed wrong Korean flag.
- Fixed "Open Event Viewer" status strings.

Language File Changes:
--------------------------------------------------
- Checkbox_Repair_14 = Make Network Computers Visible in File Explorer
- Info_15 = By default, computers in your local network should be visible when browsing for a network device with File Explorer. With Windows 10 build 1803 some computers are only accessible via their names or IP addresses.
- Make_Computers_Visible_01 = Making Network Computers Visible.
- Make_Computers_Visible_02 = Configuring the Function Discovery Resource Publication Service.
- Make_Computers_Visible_03 = Network Computers should now be visible in File Explorer.

--------------------------------------------------
Version 5.1.0.3955 (September 16, 2018)
--------------------------------------------------

Updated to AutoIt version 3.3.14.5 (16 March, 2018)

--------------------------------------------------
Version 5.1.0.3950 (June 10, 2018)
--------------------------------------------------

- Removed shortened links to comply with GDPR.
- Added Arabic Translation.
- Updated Greek Translation.

--------------------------------------------------
Version 5.1.0.3943 (June 06, 2018)
--------------------------------------------------

- Updated Slovenian language file.
- Fixed Traditional Chinese language file distribution.

--------------------------------------------------
Version 5.1.0.3942 (May 31, 2018)
--------------------------------------------------

- Updated Simplified Chinese language file.
- Added Traditional Chinese language.
- Fixed Traditional Chinese (Taiwan) flag icon.

--------------------------------------------------
Version 5.1.0.3939 (May 23, 2018)
--------------------------------------------------

- Fixed Automatically closing applications during update install.
- Optimized calling Terminate versus Exit functions.

--------------------------------------------------
Version 5.1.0.3935 (May 17, 2018)
--------------------------------------------------

- New process priority setting.
- New "Reduce Memory on low memory systems" feature.
- Fixed "Logging Cleared" displaying wrong message.
- Fixed some language string variables.
- Added support for Traditional Chinese (zh-TW).
- Added [Preferences] Tab_Performance = Performance.
- Added [Preferences] Group_Priority = Priority.
- Added [Preferences] Group_Memory = Memory.
- Added [Preferences] Label_SetPriority = Set process priority:
- Added [Preferences] Checkbox_SaveRealtime = Save priority above high (not recommended).
- Added [Preferences] Checkbox_ReduceMemory = Reduce memory on low memory systems.
- Renamed [Preferences] Tab_Logging = Logging to Tab_Cache = Cache.
- Renamed [Update] Button_Update = Download new version to Button_Update = Read more.

--------------------------------------------------
Version 5.1.0.3925 (May 09, 2018)
--------------------------------------------------

- Fix: Automatically closing applications produces an error during update install.
- New Processing animation. 
- Added Support for Brazilian Portuguese (pt-BR).
- Fixed Brazilian Portuguese language file encoding.
- Changed current Portuguese Translation to Brazilian Portuguese.

--------------------------------------------------
Version 5.1.0.3916 (May 07, 2018)
--------------------------------------------------

- Optimize: Registry write error return.
- Fix: Double registry error return.
- Fix: Logging final message with error count.
- Fix: Windows 10 manifest compatibility. Detecting Windows 10 as Windows 8.1.
- Added Portuguese Translation

--------------------------------------------------
Version 5.1.0.3911 (May 01, 2018)
--------------------------------------------------

- Change: Help -> Contact to Help -> Get Support.
- Change: Contact links to Support page links.
- Help_Contact = &Contact %{Company.Name} changed to Help_Support = &Get Support.
- Change: About -> Label_Support = Contact Us changed to Label_Support = Get Support.

--------------------------------------------------
Version 5.1.0.3905 (April 27, 2018)
--------------------------------------------------

- Added Spanish Language File.
- Fix: Bug in loading Language Strings.

--------------------------------------------------
Version 5.1.0.3896 (March 12, 2018)
--------------------------------------------------

- Fix: Wrong Slovenian language code.
- Added Slovenian language file.

--------------------------------------------------
Version 5.1.0.3895 (March 06, 2018)
--------------------------------------------------

- Added German language file.
- Added support for Slovenian language.

--------------------------------------------------
Version 5.1.0.3890 (February 13, 2018)
--------------------------------------------------

- Fix: Not able to select language with installed version.
- Removed Winsock Fix and Boot Message from Renew TCP/IP.
- Update files are now downloaded to the Windows Temp directory.
- Removed the caching folder, including related functions. (Redundant)
- UPX Compressed. (was not causing the false malware detections)
- Added language name translations next to english name.
- Added instructions (comments) to help with translating in language files.
- Fixed Hungarian language variables.

--------------------------------------------------
Version 5.0.1.3860 (February 02, 2018)
--------------------------------------------------

- Added support for Hungarian language.
- Added Hungarian language file.
- French language file updates as suggested by @hpwamr

--------------------------------------------------
Version 5.0.1.3852 (January 21, 2018)
--------------------------------------------------

- Uncompressed (UPX) version to battle anti-virus false positives.
- Fix: Simplified Chinese language file (zh-CN.ini) now distributed.

--------------------------------------------------
Version 5.0.1.3850 (January 05, 2018)
--------------------------------------------------

- Export IP Configuration Before Resetting.
- New: [Preferences] Checkbox_Export_IP = Export IP Configuration before resetting.

--------------------------------------------------
Version 5.0.1.3828 (December 28, 2017)
--------------------------------------------------

- Removed unnecessary _Localization_Messages() call.
- Fix: Dialog Parent set when Parent not active.
- Fix: Wrong Preferences dialog icon at runtime when not compiled.
- Changed DPI Awareness Mode to Unaware for now.

--------------------------------------------------
Version 5.0.1.3812 (December 10, 2017)
--------------------------------------------------

- Improved language file loading.
- New: Update check during installation.
- New: Chinese language

--------------------------------------------------
Version 5.0.1.3808 (December 07, 2017)
--------------------------------------------------

- Improved Language update functions.
- New French, Italian, Russian and Turkish Languages.
- Fixed logging Error/Final message display.
- Change: [Messages2] Boot_06 = Click on '%s' and then '%s' to Reboot your computer later.
- Change: Boot_08 -> MsgBox_Boot_Title
- Change: Boot_09 -> MsgBox_boot_Message
- Change: Boot_10 -> Boot_Restarting
- Change: Boot_11 -> Boot_Canceled
- New: [Preferences] MsgBox_Closing_Title = Closing %{Program.Name}
- New: [Preferences] MsgBox_Closing_Message = Would you like to close %{Program.Name} now?

--------------------------------------------------
Version 5.0.0.3758 (November 26, 2017)
--------------------------------------------------

- Fixed crash if Windows Taskbar is not docked at the bottom.
- Updated translation headings. More descriptive.
- Translated Preferences.
- Tweaked the PReferences Dialog a little.
- Added en.ini Language file.
- Innitial 'DPI aware' tests.

--------------------------------------------------
Version 5.0.0.3706 (November 21, 2017)
--------------------------------------------------

- Cleaner optimized code.
- Removed unsupported Win10 AutoIt directive.
- New menus design with icons.
- Moved Event Viewer and Reboot Windows options to the Maintenance menu.
- Resources now embedded in main Executable. No more external resource Dlls.
- Improved update notification system with option to disable update checks.
- Added update animation.
- Added GitHub link to the Help menu to quickly create an issue.
- Added GitHub link on the About Dialog.
- Added Downloads, Contact and Donate links to the Help menu.
- New PayPal.me donation link (PayPal.me/rizonesoft).
- New none-intrusive Donate prompt after a set time. (120 Hours Default)
  The Donate prompt will only be shown once.
- Improved custom Progress Bar. 
- Improved About Dialog (New Mouse Hover Effects for Image Buttons).
- Improved Splash Screen (New custom Progress Bar).
- Added Localization (Translations).
- Added Afrikaans language file.
- Alt+F4 now closes the program and not Esc. (Safer)
- New Global error count for the logging subsystem.
- Moved Documents to Documents folder.
- Mouse over event now not firing on disabled Options.
- Errors now indicated on progress display.
- Smoother _GUIExtender() function on startup.
- Improved Dll registration functions.
- Improved reboot messages. Only if a reboot is required.
- Improved Internet Explorer Repair function.
- HOSTS file backup now working correctly on 64Bit system.
- Added BITS Diagnostic to the Troubleshooting menu.
- Windows Troubleshooting modules now detected and menu updated accordingly.
- Minor Interface Tweaks and enhancements.

--------------------------------------------------
Version 3.1.3.2854 (January 08, 2017)
--------------------------------------------------

- Added Windows Update Troubleshooter

--------------------------------------------------
Version 3.1.3.2850 (January 01, 2017)
--------------------------------------------------

- More troubleshooting options.
- No more errors on missing recource Dlls.

--------------------------------------------------
Version 3.1.3.2825 (December 14, 2016)
--------------------------------------------------

- Critical Update Notification Fix.

--------------------------------------------------
Version 3.1.3.2822 (December 04, 2016)
--------------------------------------------------

- LSP Temporary File now Winsock.txt and located in the Cache Folder.
- Minor Bug Fixes.

--------------------------------------------------
Version 3.1.3.2818 (November 27, 2016)
--------------------------------------------------

- Cleaned the Source Code a little.
- Improved Preferences, Cache and Logging management.
- Minor Bug Fixes and interface updates.

--------------------------------------------------
Version 3.1.3.2800 (November 13, 2016)
--------------------------------------------------

- Moved Command Menu Items to Troubleshooting Menu.
- Moved Workgroup view repair to Troubleshooting Menu.
- Workgroup view repair now only visible on Windows XP.
- New Renew Wins Client Registrations option.
- New ReBar Cache management function (Clear Cache).
- Fixed critical bug that stopped Update History from being removed.

--------------------------------------------------
Version 3.0.2.2683 (November 13, 2016)
--------------------------------------------------

- Removed the Restore Windows Service permissions function.
  Working on safer troubleshooting guide.

--------------------------------------------------
Version 3.0.2.2682 (November 13, 2016)
--------------------------------------------------

- Opening the Downloads page after installation, now optional.
- Restore Windows Service Permissions option (Experimental).
- Minor Bug fixes and interface tweaks.

--------------------------------------------------
Version 3.0.2.2625 (November 07, 2016)
--------------------------------------------------

- Updated the ReBar Framework.
- New Display ARP entries command.
- New flush ARP Cache function.
- Smaller total size (about 1MB smaller in total).
- Minor bug fixes and cosmetic changes.

--------------------------------------------------
Version 3.0.2.2600 (October 22, 2016)
--------------------------------------------------

- Important Update Notification Fix

--------------------------------------------------
Version 3.0.2.2595 (October 17, 2016)
--------------------------------------------------

- Exes are now signed.
- New installation utility.
- Now built on the ReBar Framework.
- New Update Notification System.
- Resources moved to external Dll files.
- Added support for Windows 10.
- New Interface.
- New Logging System.
- New Reset Rroxy Server Configuration.
- New Registry based Method for configuring Services.
  Also uses the old command method just in case.
- Cleaner Optimized Code.

--------------------------------------------------
Version 2.1.0.2103 (August 31, 2014)
--------------------------------------------------

- Now Open Source (GNU General Public License version 3)

--------------------------------------------------
Version 2.0.6.2080 (May 20, 2014)
--------------------------------------------------

- New interface design with new Icons
- Added Open Internet Troubleshooter Command
- Added Open Windows System Restore Command
- Updated links and about information
- Added a 64Bit version (Better support for 64Bit Windows)
- Added support for Windows 8 and Windows 8.1
- Fixed Reset Firewall Function
- Fixed some minor bugs
- Updated Documentation

--------------------------------------------------
Version 2.0.0.1502 (September 18, 2013)
--------------------------------------------------

- Cleaned the code a little

--------------------------------------------------
Version 2.0.0.1490 (September 17, 2013)
--------------------------------------------------

- Minor bug fixes
- New icons for bottom toolbar
- Some other cosmetic changes

--------------------------------------------------
Version 2.0.0.1468 (September 10, 2013)
--------------------------------------------------

- New “Show TCP/IP configuration” command
- New “Open Remote Desktop” command
- New “Open Internet Explorer Properties” command
- New SpeedTest.net link
- New Icons and Donate button
- Sorted out the wuauclt bug
- Some other minor bug fixes
- Some cosmetic changes

--------------------------------------------------
Version 1.3.5.1359 (August 13, 2013)
--------------------------------------------------

- Some minor bug fixes

--------------------------------------------------
Version 1.3.2.1322 (April 3, 2013)
--------------------------------------------------

- Some minor cosmetic changes
- A few bug fixes

--------------------------------------------------
Version 1.3.1.1315 (May 27, 2012)
--------------------------------------------------

- Updated the about page and all links to point to the new Datum website
- New link to default router password database on the help menu.

--------------------------------------------------
Version 1.2.5.1258 (June 14, 2011)
--------------------------------------------------

- Will not open the Datum home page when launched anymore.
- The reference path to the hosts file has been updated to redirect correctly on 64Bit Windows.

--------------------------------------------------
Version 0.9.5.955 (January 7, 2011)
--------------------------------------------------

- The executable can now be renamed
- Some minor bug fixes.

--------------------------------------------------
Version 0.9.3.935 (December 7, 2010)
--------------------------------------------------

No history recorded.

==================================================